<?php

namespace Pixalia\ImageAssistant\Service\Container;

class PostData {
	public int $postId;
	public string $title;
	public string $status;
	public string $permalink;
	public array $checkResults = []; // ['status' => 'ok', 'setFrom' => 'WordPress']

	public function __construct(int $postId) {
		$this->postId = $postId;
		$this->title = get_the_title($postId);
		$this->status = get_post_status($postId);
		$this->permalink = get_permalink($postId);
	}
}
